<?php 

if($_POST['reg']){
	$login = $this->escape($_POST['login']);
	$password = $this->escape($_POST['password']);
	$password2 = $this->escape($_POST['password2']);
	$firstname = $this->escape($_POST['firstname']);
	$lastname = $this->escape($_POST['lastname']);
	$email = $this->escape($_POST['email']);

	if(!empty($login)){	
		if(preg_match("/^([a-z0-9_\.-]+)@([a-z0-9_\.-]+)\.([a-z\.]{2,6})$/", $email)){
			if(preg_match("/^[a-zA-Z0-9,\.!?_-]{6,32}$/", $password)){
				if($password == $password2){
					if(!$user = $this->userInfo($login, "user_login")){
						if(!$this->userInfo($email, "user_email")){
							if(!empty($firstname) && !empty($firstname)){
								$this->addUser($login, $email, md5($password."maksa988key"), $firstname, $lastname);
								
								$success = "Вы успешно зарегестрированы!";
							} else {
								$error = "Все поля обязательны к заполнению!";
							}
						} else {
							$error = "Введеный вами email занят!";
						}
					} else {
						$error = "Введеный вами логин занят!";
					}
				} else {
					$error = "Пароли не совпадают!";
				}
			} else {
				$error = "Пароль должен содержать от 6 до 32 латинских букв, цифр и знаков <i>,.!?_-</i>!";
			}
		} else {
			$error = "Укажите верный Email адрес!";
		}
	} else {
		$error = "Логин должен содержать от 6 до 15 латинских букв и цифр!";
	}
}

$this->view(array("theme/reg"), array("error" => $error, "success" => $success)); 